ChiliProject - Bug # 531: search#index raises NoMethodError for #event_datetime
Description: In our ChiliProject implementation we were seeing some weird errors when doing searches. Doing some
research into it, here's what | found:
* *search#index* gets results and calls @#sort@ on them with a block that compares
@lssuettevent_datetime@
* @#event_datetime@ is defined via
https://github.com/chiliproject/chiliproject/blob/master/vendor/plugins/acts_as_journalized/lib/redmine/acts/jour
nalized/deprecated.rb#L38-57 and makes a call to @reset_journal_changes@ and @reset_journal@
* this appears to make a @#save@ happen because a custom life-cycle hook was being triggered. In that
hook, a method is called on a value that is @nil@, which raises an error and oddly bubbles up to the
NoMethodError
| don't have enough context into the AAJ changes, but it seems like the scope of @event_*@ methods that
get set to use the @reset_journal@ implementation could be too wide.
As a short term fix we're adding nil checks to our custom life-cycle hooks, but | feel like this could be a problen
for others.

History

2011-08-25 04:37 pm - Felix Schéafer
There's been some work done on aaj in 2.1.0, do you still have the same errors?

2011-08-26 09:16 pm - Ryan Briones
This hasn't happened to us in a long time since we've worked around the issue. Unfortunately today is my last day at this client. I'll point them to this

thread in case there are any issues going forward that this can solve.

2011-12-18 06:14 pm - Holger Just
- Status changed from Open to Closed

Closing as of inactivity. This issue seems to be fixed with the recent aaj changes.

If there should still be some edge case, please re-open this issue.
